Uploaded image for project: 'Jackrabbit Oak'
  1. Jackrabbit Oak
  2. OAK-6050

Unify used version of osgi-mock

Attach filesAttach ScreenshotVotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

Details

    • Improvement
    • Status: Closed
    • Minor
    • Resolution: Fixed
    • None
    • 1.7.0, 1.8.0
    • it
    • None

    Description

      Currently there are 2 versions of osgi-mock in use:

      • version 1.3.0, when inherited from oak-parent
      • version 1.9.2, in oak-segment-tar

      For consistence it would be good to use the latest version in all modules. Also, it seems that Eclipse trips on this particular setup, probably due to transitive dependency handling and shows compilation errors on projects using the older version of the library.

      I'll submit a patch for this shortly, after finishing testing.

      Attachments

        Activity

          This comment will be Viewable by All Users Viewable by All Users
          Cancel

          People

            tomek.rekawek Tomek Rękawek
            rombert Robert Munteanu
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Slack

                Issue deployment